Subject: [Ltru] Language Collections text...

From: Addison Phillips <[email-masked]>
Date: Mon, 12 Mar 2007 10:09:56 -0700

In Section 4.1, we have this text:

--
Use specific language subtags or subtag sequences in preference to 
subtags for language collections. A "language collection" is a subtag 
derived from one of the ISO 639-2 codes that represents multiple related 
languages. For example, the code 'nai' represents "North American 
languages". The registry contains values for the specific languages 
represented by this collective code. For example 'xxx' (language1) and 
'yyy' (language2). Note that the languages contained in a collection 
(such as the two examples shown) are often unrelated except for their 
inclusion in the collection.
--

Obviously the examples are not quite right. Could Peter (or someone 
else) suggest an appropriate example to use here?

Addison

-- 
Addison Phillips
Globalization Architect -- Yahoo! Inc.
Chair -- W3C Internationalization Core WG

Internationalization is an architecture.
It is not a feature.

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Mon, 12 Mar 2007 18:43:02 +0100

Addison Phillips wrote:

>| For example, the code 'nai' represents "North American languages".
>| The registry contains values for the specific languages represented
>| by this collective code. For example 'xxx' (language1) and 'yyy' 
>| (language2). Note that the languages contained in a collection
>| (such as the two examples shown) are often unrelated except for
>| their inclusion in the collection.
 
> else) suggest an appropriate example to use here?

aes (Alsea) and akz (Alabama)... giving up to find more in this
endless list.  Some collections like "apa" are apparently related,
if that's a collection, I'm not sure about your "often unrelated".

Frank

---

From: John Cowan <[email-masked]>
Date: Mon, 12 Mar 2007 15:20:56 -0400

> if that's a collection, I'm not sure about your "often unrelated".

Indeed, collections are almost always genetic subgroups.  According to
the Ethnologue mapping (non-normative, but the result of a lot of careful
thinking), the only collections *not* mappable to genetic subgroups are:

1) two special cases: art = "artificial languages" and mis = "miscellaneous
   languages";

2) three restricted genetic subgroups: apa = "Apachean languages called
   'Apache'", bih = "Bihari languages spoken in Bihar", and him = "Western
   Pahari languages spoken in Himal Pradesh";

3) six geographical collections: nai, cai, sai = "North, Central, South
   American Indian", paa = "Papuan", phi = "Philippine", cau = "Caucasian"
   (and even these are defined as the union of genetic subgroups).

By contrast, there are 50-odd collections which are genetic subgroups.
I would pick one of these for an example, perhaps like this:

# Use specific language subtags or subtag sequences in preference
# to subtags for language collections.  A "language collection" is a
# subtag derived from one of the ISO 639-2 codes that represents multiple
# languages, usually related.  For example, the subtag 'cmc' represents
# "Chamic languages".  The registry contains entries for each of the
# approximately 10 individual languages represented by this collective
# subtag, for example 'jra' for Jarai and 'cja' for Western Cham.

dropping the final sentence entirely.

-- 
John Cowan  [email-masked]  http://ccil.org/~cowan
If I have seen farther than others, it is because I am surrounded by dwarves.
        --Murray Gell-Mann

---

From: Addison Phillips <[email-masked]>
Date: Mon, 12 Mar 2007 13:51:21 -0700

> # subtag, for example 'jra' for Jarai and 'cja' for Western Cham.

I used this example.

> dropping the final sentence entirely.

I dropped the final sentence.

Addison

---

From: "Mark Davis" <[email-masked]>
Date: Mon, 12 Mar 2007 16:43:03 -0700

So are you saying that most of the collections really should have been macro
languages?

Mark

-- 
Mark

---

From: Peter Constable <[email-masked]>
Date: Mon, 12 Mar 2007 17:48:26 -0700

IMO, that would really stretch the intended meaning of "macrolanguage". For instance, "Afro-Asiatic languages" is a very diverse group. It would make absolutely no sense to treat afa as a single language in any application context I can think of.

Peter

________________________________
From: Mark Davis [mailto:[email-masked]]
Sent: Monday, March 12, 2007 4:43 PM
To: John Cowan
Cc: Frank Ellermann; [email-masked]
Subject: Re: [Ltru] Re: Language Collections text...

So are you saying that most of the collections really should have been macro languages?

Mark
On 3/12/07, John Cowan < [email-masked]<mailto:[email-masked]>> wrote:

--
John Cowan   [email-masked]<mailto:[email-masked]>  http://ccil.org/~cowan
If I have seen farther than others, it is because I am surrounded by dwarves.
        --Murray Gell-Mann

_______________________________________________
Ltru mailing list
[email-masked]<mailto:[email-masked]>
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Mark Davis" <[email-masked]>
Date: Mon, 12 Mar 2007 18:25:41 -0700

I assume your question was for John. I have no stake either way; just trying
to understand what John was saying. My impression was that according to ISO
639-3, all of the collections are really somewhat bogus, and shouldn't
really used for denoting languages.

Mark

On 3/12/07, Peter Constable <[email-masked]> wrote:
>
>  IMO, that would really stretch the intended meaning of "macrolanguage".
> For instance, "Afro-Asiatic languages" is a very diverse group. It would
> make absolutely no sense to treat afa as a single language in any
> application context I can think of.
>
>
>
> Peter
>
>
>   ------------------------------
>
> *From:* Mark Davis [mailto:[email-masked]]
> *Sent:* Monday, March 12, 2007 4:43 PM
> *To:* John Cowan
> *Cc:* Frank Ellermann; [email-masked]
> *Subject:* Re: [Ltru] Re: Language Collections text...
>
>
>
> On 3/12/07, *John Cowan* < [email-masked]> wrote:
>
> John Cowan   [email-masked]  http://ccil.org/~cowan<http://ccil.org/%7Ecowan>

---

From: Peter Constable <[email-masked]>
Date: Mon, 12 Mar 2007 23:00:59 -0700

Well, 639-3 doesn't anywhere suggest that the collections are bogus. It just doesn't add anything new with regard to them. Perhaps that's because I personally wasn't all that interested in the collections and so made no point to incorporate them into 639-3. But as far as 639-3 is concerned, collection IDs exist and are part of the same alpha-3 code space; they just aren't defined in the code tables provided by 639-3.

Of course a collection ID do not denote individual languages; by definition they denote collections of languages. Whether it is useful for a collective language ID to be used to describe the language of an information object depends on the particular application. In the Redmond Public Library, if they happened to have any items in Dyirbal or Lardil, they probably wouldn't have much customer need to differentiate the languages and might call all of them "Australian languages". But the same may not be true for general applications of BCP47.

Peter

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Monday, March 12, 2007 6:26 PM
To: Peter Constable
Cc: [email-masked]
Subject: Re: [Ltru] Re: Language Collections text...

I assume your question was for John. I have no stake either way; just trying to understand what John was saying. My impression was that according to ISO 639-3, all of the collections are really somewhat bogus, and shouldn't really used for denoting languages.

Mark
On 3/12/07, Peter Constable <[email-masked]<mailto:[email-masked]>> wrote:

Peter

From: Mark Davis [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Monday, March 12, 2007 4:43 PM
To: John Cowan
Cc: Frank Ellermann; [email-masked]<mailto:[email-masked]>
Subject: Re: [Ltru] Re: Language Collections text...

Mark

--
John Cowan   [email-masked]<mailto:[email-masked]>   http://ccil.org/~cowan<http://ccil.org/%7Ecowan>
If I have seen farther than others, it is because I am surrounded by dwarves.
        --Murray Gell-Mann

--
Mark

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 13 Mar 2007 23:09:51 -0700

Bogus was too strong a word, maybe arbitrary would have been better. From
looking at some of them, they seem like on the order of "Canadian", meaning
a collection of all the languages spoken in Canada. Useful in some
applications, but for us (Google) something we probably want to stay away
from.

Mark

On 3/12/07, Peter Constable <[email-masked]> wrote:
>
>  Well, 639-3 doesn't anywhere suggest that the collections are bogus. It
> just doesn't add anything new with regard to them. Perhaps that's because I
> personally wasn't all that interested in the collections and so made no
> point to incorporate them into 639-3. But as far as 639-3 is concerned,
> collection IDs exist and are part of the same alpha-3 code space; they just
> aren't defined in the code tables provided by 639-3.
>
>
>
> Of course a collection ID do not denote individual languages; by
> definition they denote collections of languages. Whether it is useful for a
> collective language ID to be used to describe the language of an information
> object depends on the particular application. In the Redmond Public Library,
> if they happened to have any items in Dyirbal or Lardil, they probably
> wouldn't have much customer need to differentiate the languages and might
> call all of them "Australian languages". But the same may not be true for
> general applications of BCP47.
>
>
>
>
>
> Peter
>
>
>
> *From:* [email-masked] [mailto:[email-masked]] *On
> Behalf Of *Mark Davis
> *Sent:* Monday, March 12, 2007 6:26 PM
> *To:* Peter Constable
> *Cc:* [email-masked]
> I assume your question was for John. I have no stake either way; just
> trying to understand what John was saying. My impression was that according
> to ISO 639-3, all of the collections are really somewhat bogus, and
> shouldn't really used for denoting languages.
>
> Mark
>
> On 3/12/07, *Peter Constable* <[email-masked]> wrote:
>

---

From: Peter Constable <[email-masked]>
Date: Tue, 13 Mar 2007 23:20:31 -0700

If you recall, I questioned the usefulness of collections for IETF language tags while we were working on RFC 4646. I may have been overlooking some valid scenarios, but...

Peter

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Tuesday, March 13, 2007 11:10 PM
To: Peter Constable
Cc: [email-masked]
Subject: Re: [Ltru] Re: Language Collections text...

Bogus was too strong a word, maybe arbitrary would have been better. From looking at some of them, they seem like on the order of "Canadian", meaning a collection of all the languages spoken in Canada. Useful in some applications, but for us (Google) something we probably want to stay away from.

Mark

Peter

From: [email-masked]<mailto:[email-masked]> [mailto: [email-masked]<mailto:[email-masked]>] On Behalf Of Mark Davis
Sent: Monday, March 12, 2007 6:26 PM
To: Peter Constable
Cc: [email-masked]<mailto:[email-masked]>

Mark

Peter

From: Mark Davis [mailto:[email-masked] <mailto:[email-masked]> ]
Sent: Monday, March 12, 2007 4:43 PM
To: John Cowan
Cc: Frank Ellermann; [email-masked]<mailto:[email-masked]>
Subject: Re: [Ltru] Re: Language Collections text...

Mark

--
Mark

--
Mark